<?php
/**
 * Clase con la acción para mostrar una plantilla.
 **/
class AccionPlantillaBtMalaga extends AccionBtMalaga {
  
    static $db = array('Plantilla' => 'Varchar');  
 
    /**
     * clase con la acción a realizar.
     **/
    public function ejecutarAccion($controlador, $recurso) {
        $controlador->setPlantilla($this->Plantilla);
 	return parent::ejecutarAccion($controlador, $recurso);
    }
 
    /**
     * Función que devuelve los campos para editar
     * el contenido como subcampo.
     **/
    protected function cargarSubContenido() {
        $camposEditable = parent::cargarSubContenido();
      
        //campo para la plantilla.
        $campoPlantilla = new CampoEditable();
        $campoPlantilla->setNombre('Plantilla');
        $campoPlantilla->setField(new TextField('Plantilla','Plantilla',$this->Plantilla));
        $camposEditable->add($campoPlantilla);    

        return $camposEditable;      
    } 
}

?>
